import { Injectable } from '@angular/core';
import { User } from '../models/user.model';
import { HttpClient, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { NgForm } from '@angular/forms';

@Injectable({
  providedIn: 'root',
})
export class UserService {
  API_URL = 'http://127.0.0.1:3000';

  constructor(private http: HttpClient) {}

  postUser(
    email: string,
    login: string,
    password: string
  ): Observable<Response> {
    const body = {
      email: email,
      login: login,
      password: password,
      permissions: 0,
    };

    return this.http.post<Response>(`${this.API_URL}/users`, body);
  }

  loginUser(login: string, password: string): Observable<Response> {
    const body = {
      login: login,
      password: password,
    };

    return this.http.post<Response>(`${this.API_URL}/users/login`, body);
  }
}

type Response = {
  success: boolean;
};
